Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516033 - Creating multiple partitions with the same name on different disks causes python backtrace
Summary: Creating multiple partitions with the same name on different disks causes pyt...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-blivet
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Blivet Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 21:03 UTC by Devon
Modified: 2018-11-02 02:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Installation logs (deleted)
2017-11-28 22:50 UTC, Devon
no flags Details
Kickstart (deleted)
2017-11-28 22:52 UTC, Devon
no flags Details

Description Devon 2017-11-21 21:03:32 UTC
Description of problem:

Creating multiple partitions with the same name on different disks causes python backtrace

Version-Release number of selected component (if applicable):

RHEL 6 and 7

How reproducible:

Every time

Steps to Reproduce:
1. Have a kickstart create multiple partitions with the same name even when they are on separate devices.

Actual results:

Anaconda main and log show a python backtrace and the partition is still created.

20:45:10,350 WARNING : /usr/lib/python2.6/site-packages/pykickstart/commands/partition.py:269: UserWarning: A partition with the mountpoint biosboot has already been defined.
  warnings.warn(_("A partition with the mountpoint %s has already been defined.") % pd.mountpoint)

Expected results:

The partitions would be created and there would not be a python backtrace.

Additional info:

Comment 2 Jiri Konecny 2017-11-22 07:52:51 UTC
Hello Devon,

Could you please provide us plain text logs from /tmp/*.log. Also what kind of partitions you are trying to create LVM, standard partitions or something else?

Thank you.

Comment 3 Devon 2017-11-28 22:49:31 UTC
Hello,

The installation logs should be attached to the case. I'll go ahead and attach it to the bugzilla as well as the kickstart that was attempted to be used. Let me know if you need anything else.

Thanks,
Devon

Comment 4 Devon 2017-11-28 22:50:22 UTC
Created attachment 1360087 [details]
Installation logs

Comment 5 Devon 2017-11-28 22:52:02 UTC
Created attachment 1360088 [details]
Kickstart

Comment 6 Jiri Konecny 2017-11-29 08:39:39 UTC
Looks like a storage related issue.
Changing components.

Comment 7 David Lehman 2018-02-14 17:57:46 UTC
I don't think the traceback and failure has anything to do with your kickstart. The problem is that you have a drive in the system with Intel RAID metadata on it that says it should be one of two drives in a BIOS/firmware RAID array, but it is not. If you remove that stale metadata you should see a different result. See the man page for wipefs for details on how to do that. Please report back with your results after wiping that stale metadata.

Comment 8 Devon 2018-02-21 18:05:22 UTC
I ran a wipefs -fa on my installation disk and recreated the same issue.

I then dd-ed over the top of the installation disk to confirm that all possible metadata was removed and recreated the exact same issue.

Feb 21 17:44:05 localhost dracut-initqueue[562]: /usr/lib/python2.7/site-packages/pykickstart/commands/partition.py:323: UserWarning: A partition with the mountpoint biosboot has already been defined.
Feb 21 17:44:05 localhost dracut-initqueue[562]: warnings.warn(_("A partition with the mountpoint %s has already been defined.") % pd.mountpoint)

Let me know if you need any additional information from me.

Comment 9 David Lehman 2018-02-21 20:10:40 UTC
I haven't seen a traceback yet related to those warnings. All I see is a logged warning. Are you getting a traceback? Please attach it if so.

Comment 10 Devon 2018-02-26 18:34:28 UTC
Sorry I may have misspoke when I opened the case, the concern from the customer in the case was regarding the UserWarning that is detailed in my previous comment.

Feb 21 17:44:05 localhost dracut-initqueue[562]: /usr/lib/python2.7/site-packages/pykickstart/commands/partition.py:323: UserWarning: A partition with the mountpoint biosboot has already been defined.
Feb 21 17:44:05 localhost dracut-initqueue[562]: warnings.warn(_("A partition with the mountpoint %s has already been defined.") % pd.mountpoint)

It does however look like blivet is resolving these partitions correctly.

From /tmp/storage.log:

=========================================
18:26:32,498 DEBUG blivet: getFormat('biosboot') returning BIOSBoot instance with object id 134
18:26:32,499 DEBUG blivet:          DeviceTree.getDeviceByPath: path: /dev/sda ; hidden: False ; incomplete: False ;
18:26:32,501 DEBUG blivet:          DeviceTree.getDeviceByPath returned existing 5120 MiB disk sda (4) with non-existent msdos disklabel
18:26:32,535 DEBUG blivet: resolved '/dev/sda' to 'sda' (disk)
18:26:32,537 DEBUG blivet:                DiskDevice.addChild: kids: 0 ; name: sda ;
18:26:32,539 DEBUG blivet:             PartitionDevice._setFormat: req1 ; current: None ; type: biosboot ;
18:26:32,541 DEBUG blivet:               DiskDevice.removeChild: kids: 1 ; name: sda ;
18:26:32,541 INFO blivet: added partition req1 (id 135) to device tree
18:26:32,541 INFO blivet: registered action: [137] create device partition req1 (id 135)
18:26:32,542 DEBUG blivet: getFormat('None') returning DeviceFormat instance with object id 139
18:26:32,544 DEBUG blivet:             PartitionDevice._setFormat: req1 ; current: biosboot ; type: biosboot ;
18:26:32,544 INFO blivet: registered action: [138] create format biosboot on partition req1 (id 135)
18:26:32,544 DEBUG blivet: getFormat('biosboot') returning BIOSBoot instance with object id 140
18:26:32,546 DEBUG blivet:          DeviceTree.getDeviceByPath: path: /dev/sdb ; hidden: False ; incomplete: False ;
18:26:32,547 DEBUG blivet:          DeviceTree.getDeviceByPath returned existing 20 GiB disk sdb (50) with non-existent msdos disklabel
18:26:32,581 DEBUG blivet: resolved '/dev/sdb' to 'sdb' (disk)
18:26:32,584 DEBUG blivet:                DiskDevice.addChild: kids: 0 ; name: sdb ;
18:26:32,585 DEBUG blivet:             PartitionDevice._setFormat: req2 ; current: None ; type: biosboot ;
18:26:32,587 DEBUG blivet:               DiskDevice.removeChild: kids: 1 ; name: sdb ;
18:26:32,588 INFO blivet: added partition req2 (id 141) to device tree
18:26:32,588 INFO blivet: registered action: [143] create device partition req2 (id 141)
18:26:32,588 DEBUG blivet: getFormat('None') returning DeviceFormat instance with object id 145
18:26:32,590 DEBUG blivet:             PartitionDevice._setFormat: req2 ; current: biosboot ; type: biosboot ;
18:26:32,590 INFO blivet: registered action: [144] create format biosboot on partition req2 (id 141)

========================================

Would this warning that shows up in anaconda and in the resulting anaconda.log be something that we would consider fixing? It does seem to be an unnecessary message if there is not an issue with actually creating these partitions.


Note You need to log in before you can comment on or make changes to this bug.